/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.db;

import java.security.Principal;
import com.silverwrist.dynamo.except.DatabaseException;
import com.silverwrist.dynamo.except.DynamoSecurityException;
import com.silverwrist.dynamo.iface.DataItem;
import com.silverwrist.dynamo.iface.DynamoUser;

public interface ImageStore
{
  public DataItem getImage(int id) throws DatabaseException;

  public int saveNewImage(String type_namespace, String type_name, Principal owner, DataItem image)
      throws DatabaseException;

  public void replaceImage(DynamoUser caller, int image_id, DataItem image)
      throws DatabaseException, DynamoSecurityException;

  public int findImageID(String type_namespace, String type_name, Principal owner) throws DatabaseException;

  public void deleteImage(DynamoUser caller, int image_id) throws DatabaseException, DynamoSecurityException;

  public DataItem normalizeImage(DataItem source, int width, int height, String new_type) throws Exception;

} // end interface ImageStore
