/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.iface;

import java.security.Principal;
import java.security.acl.Acl;
import java.security.acl.AclEntry;
import java.security.acl.NotOwnerException;
import com.silverwrist.dynamo.except.DatabaseException;

public interface DynamoAcl extends Acl, NamedObject
{
  public int getAclID();

  public int getAceCount() throws DatabaseException;

  public DynamoAce getAce(Principal caller, int index) throws DatabaseException, NotOwnerException;

  public boolean insertEntry(Principal caller, AclEntry entry, int at_index)
      throws DatabaseException, NotOwnerException;

  public boolean testPermission(DynamoUser user, String perm_namespace, String perm_name)
      throws DatabaseException;

} // end interface DynamoAcl
