/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.iface;

import java.security.Principal;
import java.security.acl.AclNotFoundException;
import java.security.acl.Group;
import com.silverwrist.dynamo.except.DatabaseException;
import com.silverwrist.dynamo.except.DynamoSecurityException;

public interface DynamoGroup extends Group, NamedObject, SecureObjectStore
{
  public int getGID();

  public boolean addUID(DynamoUser caller, int uid) throws DatabaseException, DynamoSecurityException;

  public boolean removeUID(DynamoUser caller, int uid) throws DatabaseException, DynamoSecurityException;

  public boolean testUID(int uid) throws DatabaseException;

  public int[] getUIDs() throws DatabaseException;

  public boolean addMember(DynamoUser caller, Principal member)
      throws DatabaseException, DynamoSecurityException;

  public boolean removeMember(DynamoUser caller, Principal member)
      throws DatabaseException, DynamoSecurityException;

  public DynamoAcl getAcl() throws DatabaseException, AclNotFoundException;

  public void setAcl(DynamoUser caller, DynamoAcl acl) throws DatabaseException, DynamoSecurityException;

  public int getMemberCount() throws DatabaseException;

} // end interface DynamoGroup
