/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002-03 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.util;

/**
 * An interface used in implementing the Visitor pattern across all objects in an
 * {@link com.silverwrist.dynamo.iface.ObjectStore ObjectStore}.
 *
 * @author Eric J. Bowersox &lt;erbo@silcom.com&gt;
 * @version X
 */
public interface ObjectVisitor
{
  /**
   * Visit one of the objects in an {@link com.silverwrist.dynamo.iface.ObjectStore ObjectStore}.
   *
   * @param namespace Namespace URI of the current object.
   * @param name Name of the current object.
   * @param value Value of the current object.
   */
  public void visit(String namespace, String name, Object value);

} // end interface ObjectVisitor
