/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.xmlrpc;

import java.util.Collection;
import java.util.List;
import com.silverwrist.dynamo.iface.Application;
import com.silverwrist.dynamo.iface.Request;

public interface XmlRpcDispatcher
{
  public String getSessionIDParamValue(Request r, Application app);

  public Object dispatchXmlRpcCall(Request r, Application app) throws Exception, FaultCode;

  public Collection getSupportedMethods(Request r);

  public List getMethodSignature(Request r, String method) throws FaultCode;

  public String getMethodHelp(Request r, String method) throws FaultCode;

} // end interface XmlRpcDispatcher
