/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002-03 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.frame;

import com.silverwrist.venice.VeniceNamespaces;

public interface FrameParameters
{
  public static final String NAMESPACE = VeniceNamespaces.FRAME_LAF_NAMESPACE;

  public static final String PARAM_SITE_TITLE = "site.title";

  public static final String PARAM_OPTIONSET = "optionset";

  public static final String PARAM_SITE_URL = "site.url";

  public static final String PARAM_SITE_LOGO_URL = "site.logo.url";

  public static final String PARAM_SITE_LOGO_URL_TYPE = "site.logo.url.type";

  public static final String PARAM_SITE_LOGO_WIDTH = "site.logo.width";

  public static final String PARAM_SITE_LOGO_HEIGHT = "site.logo.height";

  public static final String PARAM_FRAME_TEMPLATE_NAME = "frame.template";

  public static final String PARAM_FOOTER_LOGO_SCALE = "footer.logo.scale";

  public static final String PARAM_PAGEICON_URL = "page.icon.url";

  public static final String PARAM_PAGEICON_URL_TYPE = "page.icon.url.type";

  public static final String PARAM_PAGEICON_TYPE = "page.icon.type";

  public static final String PARAM_FAVICON_URL = "page.favicon.url";

  public static final String PARAM_FAVICON_URL_TYPE = "page.favicon.url.type";

  public static final String PARAM_LEFT_BAR_WIDTH = "left.bar.width";

  public static final String BLOCK_FOOTER = "footer";

  public static final int OPT_COMMENTS = 0;
  public static final int OPT_SMARTTAG = 1;
  public static final int OPT_FOOTER_BREAKS = 2;

} // end interface FrameParameters
