/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.frame;

import java.io.IOException;
import com.silverwrist.dynamo.except.*;
import com.silverwrist.dynamo.iface.*;

public class TempFramedContent implements FramedContent, SelfRenderable
{
  private Object m_obj;

  public TempFramedContent(Object obj)
  {
    m_obj = obj;

  } // end constructor

  public String getMenuSelector()
  {
    return "";

  } // end getMenuSelector

  public String getPageTitle()
  {
    return "TempFramedContent";

  } // end getPageTitle

  public String getPageQID()
  {
    return "";

  } // end getPageQID

  public void render(SelfRenderControl control) throws IOException, RenderingException
  {
    control.getTextRender().renderSubObject(m_obj);

  } // end render

} // end class TempFramedContent
